version: '3'
services:
  kotoba-whisper:
    build:
      context: ./kotoba-whisper
      dockerfile: Dockerfile
      args:
        HF_TOKEN: ${HF_TOKEN}
    image: kotoba-whisper:nvidia-latest
    ports:
      - 0.0.0.0:50022:50022
    tty: true
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              count: 1
              capabilities: [gpu]
